Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Dashboards

Dashboards built from reports, and pinning.

List dashboards

GET/dashboards
Scope dashboards:viewRead-only

Query parameters

NameType
qstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/dashboards" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a dashboard

POST/dashboards
Scope dashboards:createWrites data

Request body

FieldType
namerequiredstring
descriptionstring
gridany
lensesany

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/dashboards" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…","description":"…","grid":{},"lenses":{}}'

Get a dashboard

GET/dashboards/{id}
Scope dashboards:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/dashboards/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a dashboard

PATCH/dashboards/{id}
Scope dashboards:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/dashboards/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Delete a dashboard

DELETE/dashboards/{id}
Scope dashboards:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/dashboards/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Pin / unpin a dashboard

POST/dashboards/{id}/pin
Scope dashboards:viewWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
pinnedrequiredboolean

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/dashboards/{id}/pin" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"pinned":false}'